/* 
 * File:   lcd8.h
 * Author: chengo_cc
 *
 * Created on 24 May 2016, 8:27 PM
 */

#ifndef LCD8_H
//------------------------------------------------------------------------------
#include "prototypes_lcd.h"
//------------------------------------------------------------------------------
void LCD_init()
{
  PORT_dir = 0;
  RS_dir   = 0;
  EN_dir   = 0;

  LCD_write(COMMAND,display_on);
  LCD_write(COMMAND,function_set);
  LCD_write(COMMAND,auto_increment);
}
//------------------------------------------------------------------------------
void LCD_write(char select, char send)
{
  RS = select;     //0 = commands. 1 = Data.
  PORT = send;
  latch();
}
//------------------------------------------------------------------------------
void LCD_string(char row,char column,char text[])
{
  LCD_write(COMMAND,screenPos[row][column]);  //Set co-ordinates.
  while(*text)
  {
    LCD_write(DATA,*text++);
  }
}
//------------------------------------------------------------------------------
void LCD_character(char row,char column,char character)
{
  LCD_write(COMMAND,screenPos[row][column]);
  LCD_write(DATA,character);
}
//------------------------------------------------------------------------------
void latch()
{
  EN  = 1;
  delay(1);
  EN  = 0;
}
//------------------------------------------------------------------------------
#define	LCD8_H

#ifdef	__cplusplus
extern "C" {
#endif




#ifdef	__cplusplus
}
#endif

#endif	/* LCD8_H */