/* 
 * File:   prototypes_lcd.h
 * Author: chengo_cc
 *
 * Created on 24 May 2016, 8:29 PM
 */

#ifndef PROTOTYPES_LCD_H
//------------------------------------------------------------------------------
#include "connections_lcd.h"
//------------------------LCD prototypes----------------------------------------
void LCD_init();
void LCD_write(char select, char send);
void LCD_string(char row,char column,char text[]);
void LCD_character(char row,char column,char character);
void latch();
//---------------------------Commands-------------------------------------------
#define display_on      0x0C      //Cursor OFF, Blink off
#define display_off     0x08
#define cursor_on       0x0E
#define cursor_blink    0x0F
#define home            0x02
#define clear           0x01
#define auto_increment  0x06
#define auto_decrement  0x04
#define function_set    0x38       //function set: 8 bit data length, Two display lines
#define font2           function_set | 0x04     //Set bit 3 only.
//------------------------------------------------------------------------------
#define COMMAND  0   //Instruction register ( commands ).
#define DATA     1   //Data register  ( Strings and characters ).
//-----------------------Screen Addresses---------------------------------------
const unsigned char screenPos[2][16] =
{
 {0x80,0x81,0x82,0x83,0x84,0x85,0x86,0x87,0x88,0x89,0x8A,0x8B,0x8C,0x8D,0x8E,0x8F},//Top row screen co-ordinates (See Datasheet).
 {0xC0,0xC1,0xC2,0xC3,0xC4,0xC5,0xC6,0xC7,0xC8,0xC9,0xCA,0xCB,0xCC,0xCD,0xCE,0xCF} //Bottom row screen co-ordinates (See Datasheet).
};
//------------------------------------------------------------------------------
#define	PROTOTYPES_LCD_H

#ifdef	__cplusplus
extern "C" {
#endif




#ifdef	__cplusplus
}
#endif

#endif	/* PROTOTYPES_LCD_H */